Page Summary
-
This document details how to update a channel using a PATCH request to the specified endpoint.
-
The request requires path parameters for
partnerIdandchannel.channelIdto identify the specific channel to update. -
Essential query parameters include
updateMaskto specify which fields to modify and optionallyadvertiserId. -
The request and response bodies both contain an instance of a
Channelobject. -
Updating a channel requires authorization with the
https://www.googleapis.com/auth/display-videoOAuth scope.
Updates a channel. Returns the updated channel if successful.
HTTP request
PATCH https://displayvideo.googleapis.com/v1beta2/partners/{partnerId}/channels/{channel.channelId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
channel.channelId |
Output only. The unique ID of the channel. Assigned by the system. |
partnerId |
The ID of the partner that owns the created channel. |
Query parameters
| Parameters | |
|---|---|
updateMask |
Required. The mask to control which fields to update. This is a comma-separated list of fully qualified names of fields. Example: |
advertiserId |
The ID of the advertiser that owns the created channel. |
Request body
The request body contains an instance of Channel.
Response body
If successful, the response body contains an instance of Channel.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.